# Package org.eclipse.net4j.channel

The Net4j transport layer concepts for dealing with channels.

- Interface Summary
  Interface | Description
  --- | ---
  IChannel | A bidirectional communications channel for the asynchronous exchange of `buffers`.
  IChannelMultiplexer | Manages and multiplexes virtual data `channels` over a shared physical connection.

- Class Summary
  Class | Description
  --- | ---
  ChannelInputStream | An `input stream` that provides the `buffers` which arrive at a `channel` as a continuous byte sequence.
  ChannelOutputStream | An `output stream` that fragments the written byte sequence into fixed-sized `buffers` and passes them to configured `channel`.

- Exception Summary
  Exception | Description
  --- | ---
  ChannelException | Thrown by an `IChannel` to indicate channel management problems.